package com.ruoyi.project.configuration.service.impl;

import java.util.List;

import org.springframework.stereotype.Service;
import com.ruoyi.project.configuration.mapper.TDeviceMapper;
import com.ruoyi.project.configuration.domain.TDevice;
import com.ruoyi.project.configuration.service.ITDeviceService;

import javax.annotation.Resource;

/**
 * 设备管理Service业务层处理
 *
 * @author ruoyi
 * @date 2021-12-23
 */
@Service
public class TDeviceServiceImpl implements ITDeviceService {

    @Resource
    private TDeviceMapper tDeviceMapper;

    /**
     * 查询设备管理
     *
     * @param id 设备管理ID
     * @return 设备管理
     */
    @Override
    public TDevice selectTDeviceById(Long id) {
        return tDeviceMapper.selectTDeviceById(id);
    }

    /**
     * 查询设备管理列表
     *
     * @param tDevice 设备管理
     * @return 设备管理
     */
    @Override
    public List<TDevice> selectTDeviceList(TDevice tDevice) {
        return tDeviceMapper.selectTDeviceList(tDevice);
    }

    /**
     * 新增设备管理
     *
     * @param tDevice 设备管理
     * @return 结果
     */
    @Override
    public int insertTDevice(TDevice tDevice) {
        return tDeviceMapper.insertTDevice(tDevice);
    }

    /**
     * 修改设备管理
     *
     * @param tDevice 设备管理
     * @return 结果
     */
    @Override
    public int updateTDevice(TDevice tDevice) {
        return tDeviceMapper.updateTDevice(tDevice);
    }

    /**
     * 批量删除设备管理
     *
     * @param ids 需要删除的设备管理ID
     * @return 结果
     */
    @Override
    public int deleteTDeviceByIds(Long[] ids) {
        return tDeviceMapper.deleteTDeviceByIds(ids);
    }

    /**
     * 删除设备管理信息
     *
     * @param id 设备管理ID
     * @return 结果
     */
    @Override
    public int deleteTDeviceById(Long id) {
        return tDeviceMapper.deleteTDeviceById(id);
    }
}
